#!/usr/bin/env bash
set -e

virtualenv=$1
s0=$2
s1=$3

if [ -d $virtualenv ]; then
  source $virtualenv/bin/activate
else
  echo "Virtualenv not found" > demo_failure.txt
  exit 0
fi

source $virtualenv/bin/activate


echo $s0 >> s0.txt
echo $s1 >> s1.txt

#mv /home/ipol/ipolDevel/ipol_demo/modules/demorunner/binaries/55555000249/bin/quarto.tgz ./
#tar xzf quarto.tgz
cp /home/ipol/ipolDevel/ipol_demo/modules/demorunner/binaries/55555000249/bin/demo.ipynb ./
#cp /home/ipol/ipolDevel/ipol_demo/modules/demorunner/binaries/55555000249/bin/quarto ./


#quarto-0.2.315/bin/
/home/ipol/ipolDevel/ipol_demo/modules/demorunner/binaries/55555000249/bin/quarto-0.2.315/bin/quarto render demo.ipynb --execute -o output_notebook.html
#quarto render demo.ipynb --execute

# get the key and demo_id
key=$(basename $(pwd))
demo_id=$(basename $(dirname $(pwd)))
viewer_url="https://ipolcore.ipol.im/api/core/shared_folder/run/${demo_id}/${key}/output_notebook.html"
iframe="<iframe src='$viewer_url' title=\"notebook\" onload='javascript:(function(o){o.style.height=o.contentWindow.document.body.scrollHeight+"px";}(this));' style=\"width:100%;border:none;overflow:hidden;\"></iframe>"
echo "url=$iframe" >> algo_info.txt
